
# Interface: IDesignAtomsWidgetConfig

## Hierarchy

* **IDesignAtomsWidgetConfig**

## Index

### Properties

* [autoItemSelectionEnabled](idesignatomswidgetconfig.md#optional-autoitemselectionenabled)
* [initial](idesignatomswidgetconfig.md#initial)
* [setProductModel](idesignatomswidgetconfig.md#optional-setproductmodel)
* [setSerializedProduct](idesignatomswidgetconfig.md#optional-setserializedproduct)
* [setViewerSettings](idesignatomswidgetconfig.md#optional-setviewersettings)
* [updateItems](idesignatomswidgetconfig.md#optional-updateitems)

## Properties

### `Optional` autoItemSelectionEnabled

• **autoItemSelectionEnabled**? : *boolean*

___

###  initial

• **initial**: *[IInitialConfig](iinitialconfig.md)‹Object›*

___

### `Optional` setProductModel

• **setProductModel**? : *[ISetProductModelConfig](isetproductmodelconfig.md)‹Object›*

___

### `Optional` setSerializedProduct

• **setSerializedProduct**? : *[ISetSerializedProductConfig](isetserializedproductconfig.md)*

___

### `Optional` setViewerSettings

• **setViewerSettings**? : *[ISetViewerSettingsConfig](isetviewersettingsconfig.md)*

___

### `Optional` updateItems

• **updateItems**? : *[IUpdateItemsConfig](iupdateitemsconfig.md)*
